%define	drvver	0.9
Summary:	Modular Calendar Access Library
Summary(pl.UTF-8):	Modularna biblioteka dostępu do kalendarzy
Name:		libmcal
Version:	0.7
Release:	7
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libmcal/%{name}-%{version}.tar.gz
# Source0-md5:	8d8f16e59a7e859c1407df3d72052825
Source1:	http://downloads.sourceforge.net/libmcal/mcaldrivers-%{drvver}.tar.gz
# Source1-md5:	c8c96f6cd574139b88a13f6084164cfa
Patch0:		%{name}-make.patch
Patch1:		%{name}-define.patch
Patch2:		%{name}-dirs.patch
Patch3:		%{name}-gcc4.patch
Patch4:		%{name}-types.patch
URL:		http://mcal.chek.com/
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# cc_vdlog(), cc_vlog(), cc_searched(), cc_login() callbacks to be defined by user
%define		skip_post_check_so	libmcal.so.0.0.0

%description
libmcal is a C library for accessing calendars. It's written to be
very modular, with plugable drivers.

%description -l pl.UTF-8
libmcal to biblioteka w C służąca do dostępu do kalendarzy. Jest tak
napisana, by być modularna, z możliwością dołączania sterowników.

%package devel
Summary:	MCAL header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki MCAL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for MCAL-based programs development.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów korzystających z MCAL.

%package static
Summary:	MCAL static library
Summary(pl.UTF-8):	Statyczna biblioteka MCAL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of MCAL.

%description static -l pl.UTF-8
Statyczna wersja biblioteki MCAL.

%prep
%setup -q -n %{name} -a1
%{__mv} mcal-drivers/* .
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
chmod +x configure

%{__make} -C icap \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%{__make} -C mstore \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%configure2_13 \
	--with-icap \
	--with-mstore

%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} mstore/Changelog Changelog.mstore
%{__mv} mstore/README README.mstore

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG FAQ-MCAL FEATURE-IMPLEMENTATION HOW-TO-MCAL *.mstore
%attr(755,root,root) %{_libdir}/libmcal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmcal.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmcal.so
%{_libdir}/libmcal.la
%{_includedir}/mcal

%files static
%defattr(644,root,root,755)
%{_libdir}/libmcal.a
%changelog
* Mon Jan 01 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmcal.git;a=log;h=master

* Mon Jan 01 2024 Jakub Bogusz <qboosh@pld-linux.org> 6e75367
- dropped ical_yyleng patch (yyleng is apparently int); added types patch instead with other type fixes; release 7

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> b892f38
- x32 rebuild
- release 6 (by relup.sh)

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 9f84625
- verbose lib files; commented skip_post_check_so

* Mon Jan 13 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 70bd1aa
- cc_vlog and others are callbacks and must be defined in clients, so skip_post_check_so
- added ical_yyleng.patch
- ghost soname symlink
- rel 5

* Mon Jan 13 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b503f89
- compilation fix. int -> size_t

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> cfedb99
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 03eef79
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fcc7593
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 75458d6
- strict internal deps

* Thu Aug 10 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 296d408
- rel 3; gcc4 fixes

* Thu Aug 10 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> a1496f0
- from gentoo

* Sat Sep 25 2004 radek <radek@pld-linux.org> f97d5ff
- cosmetics (spaces -> tabs)

* Fri Jan 02 2004 Jacek Konieczny <jajcus@pld-linux.org> 26498e5
- Release: 2 (STBR after AMD64 fixes)

* Wed Dec 31 2003 Jacek Konieczny <jajcus@pld-linux.org> 2a08cbd
- %{_includedir} usage fixed

* Mon Dec 22 2003 Jacek Konieczny <jajcus@pld-linux.org> 8850033
- use @libdir@ and @includedir@ instead of hardcoded paths (-dirs.patch)

* Mon Dec 22 2003 Jacek Konieczny <jajcus@pld-linux.org> 3dfae74
- use @libdir@ and @includedir@ instead of hardcoded paths

* Sun Dec 21 2003 Jacek Konieczny <jajcus@pld-linux.org> b270f62
- move libraries to the right libdir if it differs from %{_prefix}/lib

* Sat Jul 19 2003 djrzulf <djrzulf@pld-linux.org> ca0923b
- added patch with missed define,

* Sat Jul 19 2003 djrzulf <djrzulf@pld-linux.org> c31a98d
- missed define ?

* Sun May 25 2003 Michal Moskal <michal@moskal.me> e24fb10
- massive attack, adding Source-md5

